<?php

namespace App\Enums;

use App\Traits\ProvidesEnumOptions;

enum ProductStatus: string
{
    use ProvidesEnumOptions;

    case DRAFT = 'draft';
    case ACTIVE = 'active';
    case INACTIVE = 'inactive';

    public function label(): string
    {
        return match ($this) {
            self::DRAFT => 'Draf',
            self::ACTIVE => 'Aktif',
            self::INACTIVE => 'Nonaktif',
        };
    }
}
